# REST API

Content Egg Pro is integrated with the WordPress REST API. This allows CE data to be read.

## Get module data.

<mark style="color:blue;">`GET`</mark> `.../wp-json/cegg/v1/data/(?P<post_id>[\d]+)`

#### Query Parameters

| Name         | Type    | Description                                                                            |
| ------------ | ------- | -------------------------------------------------------------------------------------- |
| module\_id   | string  | A comma separated list of Module IDs.                                                  |
| module\_type | string  | A comma separated list of Module Types: CONTENT, PRODUCT, COUPON, IMAGE, VIDEO, OTHER. |
| extra        | boolean | Return extra data?                                                                     |
| synced       | boolean | Return woo synced offer only.                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ce-docs.keywordrush.com/customization/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
